@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

:root {
  --main: #ec1719 !important;
  --secondary: #25317d !important;
  --heading: #25317d !important;
  --white: #ffffff !important;
  --black: #000000 !important;
  --yellow: #ffc107 !important;

  --btn-primary: #ec1719 !important;
  --btn-secondary: #25317d !important;
  --btn-danger: #dc3545 !important;
  --btn-light: #3849b4 !important;
  /* --btn-cart: #2b3db0 !important; */

  --btn-primary-hover: #e54a4b !important;
  --btn-outline-primary-hover: #e54a4b !important;

  --btn-primary-focus: rgba(178, 59, 59, 0.5) !important;
  --btn-outline-primary-focus: rgba(178, 59, 59, 0.5) !important;

  --btn-secondary-hover: #2b3db0 !important;
  --btn-outline-secondary-hover: #2b3db0 !important;

  --btn-secondary-focus: #2b3db055 !important;
  --btn-outline-secondary-focus: #2b3db055 !important;

  --btn-danger-hover: #c82333 !important;
  --btn-outline-danger-hover: #dc3545 !important;

  --btn-danger-focus: rgba(255, 18, 18, 0.5) !important;
  --btn-outline-danger-focus: rgba(255, 18, 18, 0.5) !important;

  --btn-light-hover: #f8d7da !important;
  --btn-cart-hover: #f8d7da !important;

  --btn-disabled: #dcdcdc !important;

  --sidebar-accent: #ec174d !important;
  --header-bottom-link-bg-hover: #0000000f;
}

/*  ====== FONTS ======  */
* {
  font-family: 'Roboto', sans-serif !important;
}

/* Links */
a {
  font-family: 'Roboto', sans-serif !important;
}

/* Headings */
h1,
h1 span,
h1 strong,
h2,
h2 span,
h2 strong,
h3,
h3 span,
h3 strong,
h4,
h5,
h6 {
  font-family: 'Roboto', sans-serif !important;
}

/* Text */
p,
span,
li,
div {
  font-family: 'Roboto', sans-serif !important;
}
/*  ====== END OF FONTS ======  */

/* HEADER */
#main-header {
  background-color: var(--white) !important;
}

#main-header-top-line {
  /* If you need to make a two-color header */
  /* background-color: var(--first-color); !important */
}

#main-header-bottom-line {
  /* If you need to make a two-color header */
  /* background-color: var(--second-color); !important */
}

/* Header links color */
#main-header a,
#main-header div {
  color: #2b2b2b !important;
}

#main-header .nav-link {
  text-transform: uppercase;
}

#main-header .navbar-dropdown a,
#main-header .navbar-dropdown div {
  color: var(--black) !important;
}

#main-header .dropdown-tab:hover,
#main-header .selected-tab,
#main-header .selected-tab .right-arrow-img,
#main-header .category-header {
  color: var(--main) !important;
}

#main-header .category-header:hover {
  border-bottom: 1px solid var(--main) !important;
  color: var(--main) !important;
}

/* Header icons color */
#main-header img,
#main-header .burger-menu {
  /* 0% - white color, 100% - black color */
  filter: invert(90%);
}

#main-header img#close-button-img,
#main-header #header-sidebar img,
#categories-content img,
img#header-logo {
  filter: invert(0%) !important;
}

#main-header #wishlist-counter,
#main-header #cart-counter {
  color: var(--white) !important;
  border: 1px solid var(--white) !important;
  background-color: var(--secondary) !important;
}

.language-option-active {
  background-color: var(--main) !important;
}

#main-header .search-input {
  border: 1px solid var(--main);
}

@media only screen and (min-width: 1200px) {
  #header-logo {
    max-width: 155px;
    height: 70px;
    padding-right: 15px;
  }

  #main-header-top-line {
    padding-block: 15px;
  }
}
/* END OF HEADER */

/* FOOTER */
#footer {
  border-color: #555;
}

#main-footer,
#footer-nav-and-social {
  background-color: #292929 !important;
}

#footer-brands {
  display: none;
}

/* Footer links color */
#main-footer a,
#main-footer div,
#footer-nav-and-social a {
  color: #ddd !important;
}
/* END OF FOOTER */

/* PROFILE */
.sidebar-tab.active-tab {
  background-color: var(--main) !important;
  color: var(--white) !important;
}
/* END OF PROFILE */

/* ====== BUTTONS ====== */
button {
  text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.2);
}

.button-primary {
  color: var(--white) !important;
  background-color: var(--btn-primary) !important;
  border: 1px solid var(--btn-primary) !important;
}

.button-outline-primary {
  color: var(--btn-primary) !important;
  background-color: var(--white) !important;
  border: 1px solid var(--btn-primary) !important;
}

.button-secondary {
  color: var(--white) !important;
  background-color: var(--btn-secondary) !important;
  border: 1px solid var(--btn-secondary) !important;
}

.button-outline-secondary {
  color: var(--btn-secondary) !important;
  background-color: var(--white) !important;
  border: 1px solid var(--btn-secondary) !important;
}

.button-danger {
  color: var(--white) !important;
  background-color: var(--btn-danger) !important;
  border-color: var(--btn-danger) !important;
}

.button-outline-danger {
  color: var(--btn-danger) !important;
  background-color: var(--white) !important;
  border-color: var(--btn-danger) !important;
}

.button-cart {
  color: var(--main) !important;
  background-color: var(--white) !important;
  border: 2px solid var(--btn-cart) !important;
}

.button-light {
  color: var(--btn-light) !important;
  background-color: #ffffff !important;
  border: 2px solid var(--btn-cart) !important;
}

.fixed-cart-button {
  background-color: var(--btn-primary) !important;
}

.subcategory-card {
  background-color: var(--btn-primary) !important;
}

.subcategory-card-title {
  color: #ffffff !important;
}

/* Pagination arrow color */
.button-light img {
  filter: brightness(0) saturate(100%) invert(0%) sepia(50%) saturate(100%) hue-rotate(216deg) brightness(95%)
    contrast(50%) !important;
}

/* ====== BUTTONS EFFECTS ====== */
.button-primary:hover,
.button-primary:active {
  color: var(--white) !important;
  background-color: var(--btn-primary-hover) !important;
  border-color: var(--btn-primary-hover) !important;
}

.button-outline-primary:hover,
.button-outline-primary:active {
  color: var(--white) !important;
  background-color: var(--btn-outline-primary-hover) !important;
  border-color: var(--btn-outline-primary-hover) !important;
}

.button-secondary:hover,
.button-secondary:active {
  color: var(--white) !important;
  background-color: var(--btn-secondary-hover) !important;
  border-color: var(--btn-secondary-hover) !important;
}

.button-outline-secondary:hover,
.button-outline-secondary:active {
  color: var(--white) !important;
  background-color: var(--btn-outline-secondary-hover) !important;
  border-color: var(--btn-outline-secondary-hover) !important;
}

.button-danger:hover,
.button-danger:active {
  color: var(--white) !important;
  background-color: var(--btn-danger-hover) !important;
  border-color: var(--btn-danger-hover) !important;
}

.button-outline-danger:hover,
.button-outline-danger:active {
  color: var(--white) !important;
  background-color: var(--btn-outline-danger-hover) !important;
  border-color: var(--btn-outline-danger-hover) !important;
}

.button-cart:hover {
  color: var(--main) !important;
  background-color: var(--btn-cart-hover) !important;
  border-color: var(--btn-cart-hover) !important;
}

.button-light:hover,
.button-light:active {
  color: var(--main) !important;
  background-color: var(--btn-cart-hover) !important;
  border-color: var(--btn-cart-hover) !important;
}

.button-light-active,
.button-light-active:hover {
  color: var(--white) !important;
  background-color: var(--btn-light) !important;
  border-color: var(--btn-light) !important;
}

.fixed-cart-button:hover,
.fixed-cart-button:active {
  background-color: var(--btn-primary-hover) !important;
}

.button-primary:focus {
  outline: none;
  box-shadow: 0 0 0 0.2rem var(--btn-primary-focus) !important;
}

.button-outline-primary:focus {
  outline: none;
  box-shadow: 0 0 0 0.2rem var(--btn-outline-primary-focus) !important;
}

.button-secondary:focus {
  outline: none;
  box-shadow: 0 0 0 0.2rem var(--btn-secondary-focus) !important;
}

.button-outline-secondary:focus {
  outline: none;
  box-shadow: 0 0 0 0.2rem var(--btn-outline-secondary-focus) !important;
}

.button-danger:focus {
  outline: none;
  box-shadow: 0 0 0 0.2rem var(--btn-danger-focus) !important;
}

.button-outline-danger:focus {
  outline: none;
  box-shadow: 0 0 0 0.2rem var(--btn-outline-danger-focus) !important;
}

.button-cart:focus {
  box-shadow: 0 0 0 0.2rem var(--btn-outline-secondary-focus) !important;
}

.button-light:focus,
.button-light-active:focus {
  outline: none;
  box-shadow: 0 0 0 0.2rem var(--btn-primary-focus) !important;
}

.button:disabled,
.button:disabled:hover {
  color: #000000 !important;
  background-color: var(--btn-disabled) !important;
  border-color: var(--btn-disabled) !important;
}
/* ====== END OF BUTTONS ====== */

/* ====== LOADERS ====== */
.loader--primary {
  border-color: var(--white) var(--main) var(--main) !important;
}

.loader--light {
  border-color: var(--main) var(--white) var(--white) !important;
}

.loader--danger {
  border-color: var(--danger) var(--white) var(--white) !important;
}
/* ====== END OF LOADERS ====== */

/* ====== INPUTS ====== */
.custom-input-container:hover .custom-input-label,
.custom-select-container:hover .custom-select-label,
.custom-text-area-container:hover .custom-text-area-label {
  color: var(--main) !important;
}

.custom-input-container:hover .custom-input-border,
.custom-select-container:hover .custom-select-border,
.custom-text-area-container:hover .custom-text-area-border {
  border-color: var(--main) !important;
}

.custom-input-label--focus,
.custom-select-label--focus,
.custom-text-area-label--focus {
  color: var(--main) !important;
}

.custom-input-border--focus,
.custom-select-border--focus,
.custom-text-area-border--focus {
  border-color: var(--main) !important;
}

.custom-control-input:checked ~ .custom-control-label::before {
  background-color: var(--main) !important;
  border-color: var(--main) !important;
}

.custom-control-input:focus:not(:checked) ~ .custom-control-label::before {
  border-color: var(--main) !important;
}

.custom-control-input:focus ~ .custom-control-label::before {
  box-shadow: 0 0 0 0.2rem rgba(var(--main), 0.25) !important;
}

.custom-checkbox-container input:checked ~ .custom-checkbox-checkmark {
  background-color: var(--main) !important;
}

.dropdown-selected {
  color: #ffffff !important;
  background-color: var(--main) !important;
}
/* ====== END OF INPUTS ====== */

/* ====== SLIDER ====== */
.slider-image-wrapper--active {
  border-color: var(--main) !important;
}
/* ====== END OF SLIDER ====== */

/* ====== CATALOG ====== */
#catalog-mobile-search {
  background-color: var(--main) !important;
}
/* ====== END OF CATALOG ====== */

/* ====== MOBILE FOOTER ====== */
.active-footer-button {
  background-color: var(--main) !important;
  color: var(--white) !important;
}
/* ====== END OF MOBILE FOOTER ====== */

/* ======= BOOKING ====== */
.selected-service-item,
.selected-provider-item {
  border: 1px solid var(--main) !important;
}

.selected-service-checkbox,
.selected-provider-checkbox {
  background-color: var(--main) !important;
}

.class-event {
  border-color: var(--main) !important;
  color: var(--main) !important;
}

.class-event:hover,
.class-selected {
  border-color: var(--main) !important;
  color: var(--white) !important;
  background-color: var(--main) !important;
}

.booking-complete-header {
  background-color: var(--main) !important;
  color: var(--white) !important;
}
/* ======= END OF BOOKING ====== */

/* ======= CONTENT PAGES ====== */
.bee-row-content p {
  font-weight: unset;
  color: unset;
}
/* ======= END OF CONTENT PAGES ====== */

/* ======= MESSAGE BANNER ====== */
#banner-root {
  background-color: #ffffff !important;
}

#banner-text {
  color: #000000 !important;
}
/* ======= MESSAGE BANNER ====== */

/* ======= TOP BANNER ====== */
.top-banner {
  background-color: var(--main) !important;
}

.top-banner a,
.top-banner div {
  color: #ffffff !important;
}

.top-banner img {
  filter: invert(0) !important;
}
/* ======= END OF TOP BANNER ====== */

#home-page {
  & #contact-us > .row > div:first-of-type {
    background: #333333;
  }
  
  & #contact-us > .row > div:first-of-type h2,
  & #contact-us > .row > div:first-of-type span,
  & #contact-us > .row > div:first-of-type a,
  & #contact-us > .row > div:first-of-type div {
    color: #fff;
    background: #333333;
  }

  & #contact-us > .row > div:first-of-type img {
    filter: invert(1);
  }
}

#content-page {
  & #contact-us > .row > div:first-of-type {
    background: #333333;
  }
  
  & #contact-us > .row > div:first-of-type h2,
  & #contact-us > .row > div:first-of-type span,
  & #contact-us > .row > div:first-of-type a,
  & #contact-us > .row > div:first-of-type div {
    color: #fff;
    background: #333333;
  }

  & #contact-us > .row > div:first-of-type img {
    filter: invert(1);
  }
}
